Create a contact
POST
/v1/booking/contacts
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/contacts';const options = { method: 'POST', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"guestIdentifier":"example","fname":"example","lname":"example","title":"example","phone":"example","mobile":"example","fax":"example","email":"example","streetaddress":"example","zipcode":"example","city":"example","information":"example","lastUsed":"2026-04-15T12:00:00Z","hidden":true,"id":1,"allowStoringForever":true,"newsletter":true,"isAnonymized":true,"tempId":1,"customerId":1,"customerName":"example","orgNr":"example","customerCustomerNumber":"example","invoiceReference":"example","customerNumber":"example","invoicingPaymentTerms":1,"invoicingFee":1,"agreementLevel":1,"lastChangedUtc":"2026-04-15T12:00:00Z","lastChangedBy":"example","filterData":"example","binaryFlags":0,"contactFilterData":[{"contactFilterId":1,"selectedStringItems":["example"]}],"customer":{"name":"example","streetaddress":"example","zipcode":"example","city":"example","orgNr":"example","phone":"example","fax":"example","email":"example","information":"example","hidden":true,"id":1,"invoiceStreetaddress":"example","invoiceZipCode":"example","invoiceCity":"example","invoiceCode1":"example","invoiceCode2":"example","invoiceCode3":"example","ediNumber":"example","marking":"example","customerNumber":"example","invoicingPaymentTerms":1,"invoicingFee":1,"binaryFlags":0,"accountManager":"example","webpage":"example","lastChangedUtc":"2026-04-15T12:00:00Z","lastChangedBy":"example","agreementLevel":1},"fullname":"example","returning":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/booking/contacts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "guestIdentifier": "example", "fname": "example", "lname": "example", "title": "example", "phone": "example", "mobile": "example", "fax": "example", "email": "example", "streetaddress": "example", "zipcode": "example", "city": "example", "information": "example", "lastUsed": "2026-04-15T12:00:00Z", "hidden": true, "id": 1, "allowStoringForever": true, "newsletter": true, "isAnonymized": true, "tempId": 1, "customerId": 1, "customerName": "example", "orgNr": "example", "customerCustomerNumber": "example", "invoiceReference": "example", "customerNumber": "example", "invoicingPaymentTerms": 1, "invoicingFee": 1, "agreementLevel": 1, "lastChangedUtc": "2026-04-15T12:00:00Z", "lastChangedBy": "example", "filterData": "example", "binaryFlags": 0, "contactFilterData": [ { "contactFilterId": 1, "selectedStringItems": [ "example" ] } ], "customer": { "name": "example", "streetaddress": "example", "zipcode": "example", "city": "example", "orgNr": "example", "phone": "example", "fax": "example", "email": "example", "information": "example", "hidden": true, "id": 1, "invoiceStreetaddress": "example", "invoiceZipCode": "example", "invoiceCity": "example", "invoiceCode1": "example", "invoiceCode2": "example", "invoiceCode3": "example", "ediNumber": "example", "marking": "example", "customerNumber": "example", "invoicingPaymentTerms": 1, "invoicingFee": 1, "binaryFlags": 0, "accountManager": "example", "webpage": "example", "lastChangedUtc": "2026-04-15T12:00:00Z", "lastChangedBy": "example", "agreementLevel": 1 }, "fullname": "example", "returning": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
guestIdentifier
string
fname
string
lname
string
title
string
phone
string
mobile
string
fax
string
email
string
streetaddress
string
zipcode
string
city
string
information
string
lastUsed
string format: date-time
hidden
boolean
id
integer format: int64
allowStoringForever
boolean
newsletter
boolean
isAnonymized
boolean
tempId
integer format: int64
customerId
integer format: int64
customerName
string
orgNr
string
customerCustomerNumber
string
invoiceReference
string
customerNumber
string
invoicingPaymentTerms
integer format: int32
invoicingFee
integer format: int32
agreementLevel
integer format: int32
lastChangedUtc
string format: date-time
lastChangedBy
string
filterData
string
binaryFlags
integer
contactFilterData
Array<object>
object
contactFilterId
integer format: int32
selectedStringItems
Array<string>
customer
One of:
object
name
string
streetaddress
string
zipcode
string
city
string
orgNr
string
phone
string
fax
string
email
string
information
string
hidden
boolean
id
integer format: int64
invoiceStreetaddress
string
invoiceZipCode
string
invoiceCity
string
invoiceCode1
string
invoiceCode2
string
invoiceCode3
string
ediNumber
string
marking
string
customerNumber
string
invoicingPaymentTerms
integer format: int32
invoicingFee
integer format: int32
binaryFlags
integer
accountManager
string
webpage
string
lastChangedUtc
string format: date-time
lastChangedBy
string
agreementLevel
integer format: int32
fullname
string
returning
boolean
Responses
Section titled “Responses”Media typeapplication/json
object
guestIdentifier
string
fname
string
lname
string
title
string
phone
string
mobile
string
fax
string
email
string
streetaddress
string
zipcode
string
city
string
information
string
lastUsed
string format: date-time
hidden
boolean
id
integer format: int64
allowStoringForever
boolean
newsletter
boolean
isAnonymized
boolean
tempId
integer format: int64
customerId
integer format: int64
customerName
string
orgNr
string
customerCustomerNumber
string
invoiceReference
string
customerNumber
string
invoicingPaymentTerms
integer format: int32
invoicingFee
integer format: int32
agreementLevel
integer format: int32
lastChangedUtc
string format: date-time
lastChangedBy
string
filterData
string
binaryFlags
integer
contactFilterData
Array<object>
object
contactFilterId
integer format: int32
selectedStringItems
Array<string>
customer
One of:
object
name
string
streetaddress
string
zipcode
string
city
string
orgNr
string
phone
string
fax
string
email
string
information
string
hidden
boolean
id
integer format: int64
invoiceStreetaddress
string
invoiceZipCode
string
invoiceCity
string
invoiceCode1
string
invoiceCode2
string
invoiceCode3
string
ediNumber
string
marking
string
customerNumber
string
invoicingPaymentTerms
integer format: int32
invoicingFee
integer format: int32
binaryFlags
integer
accountManager
string
webpage
string
lastChangedUtc
string format: date-time
lastChangedBy
string
agreementLevel
integer format: int32
fullname
string
returning
boolean
Example
{ "binaryFlags": 0, "customer": { "binaryFlags": 0 }}Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
extensions
object
key
additional properties
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "extensions": { "additionalProperty": "example" }}Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
extensions
object
key
additional properties
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "extensions": { "additionalProperty": "example" }}